Subject: Re: [PATCH 3/3] pkt_sched: restore multiqueue prio scheduler

From: Jarek Poplawski <[email-masked]>
Date: Mon, 25 Aug 2008 08:35:11 +0000

On Mon, Aug 25, 2008 at 08:25:01AM +0000, Jarek Poplawski wrote:
...
> If with unary TX queue we had to fill one bigger queue (or all TX
> queues) before device stopped a qdisc, and with mq TX it's enough to
> have one TX filled to effectively stop a qdisc transmit, IMHO there
> should be a performance difference.

And we should probably consider some TX queue could be stopped for
other reasons, blocking all transmit with mq TX but not unary TX.

Jarek P.